.TH HG BACKOUT  "" "" ""
.SH NAME
hg backout \- reverse effect of earlier changeset
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg backout [OPTION]... [\-r] REV
.ft P
.fi
.SH DESCRIPTION
.sp
Prepare a new changeset with the effect of REV undone in the
current working directory. If no conflicts were encountered,
it will be committed immediately.
.sp
If REV is the parent of the working directory, then this new changeset
is committed automatically (unless \-\-no\-commit is specified).
.IP Note
.
\%\fBhg backout\fP\: cannot be used to fix either an unwanted or
incorrect merge.
.RE
.sp
Examples:
.INDENT 0.0
.IP \(bu 2
.
Reverse the effect of the parent of the working directory.
This backout will be committed immediately:
.sp
.nf
.ft C
hg backout \-r .
.ft P
.fi
.IP \(bu 2
.
Reverse the effect of previous bad revision 23:
.sp
.nf
.ft C
hg backout \-r 23
.ft P
.fi
.IP \(bu 2
.
Reverse the effect of previous bad revision 23 and
leave changes uncommitted:
.sp
.nf
.ft C
hg backout \-r 23 \-\-no\-commit
hg commit \-m "Backout revision 23"
.ft P
.fi
.UNINDENT
.sp
By default, the pending changeset will have one parent,
maintaining a linear history. With \-\-merge, the pending
changeset will instead have two parents: the old parent of the
working directory and a new child of REV that simply undoes REV.
.sp
Before version 1.7, the behavior without \-\-merge was equivalent
to specifying \-\-merge followed by \%\fBhg update \-\-clean .\fP\: to
cancel the merge and leave the child of REV as a head to be
merged separately.
.sp
See \%\fBhg help dates\fP\: for a list of formats valid for \-d/\-\-date.
.sp
See \%\fBhg help revert\fP\: for a way to restore files to the state
of another revision.
.sp
Returns 0 on success, 1 if nothing to backout or there are unresolved
files.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-\-merge
.
merge with old dirstate parent after backout
.TP
.B \-\-commit
.
commit if no conflicts were encountered (DEPRECATED)
.TP
.B \-\-no\-commit
.
do not commit
.TP
.BI \-\-parent \ <REV>
.
parent to choose when backing out merge (DEPRECATED)
.TP
.BI \-r,  \-\-rev \ <REV>
.
revision to backout
.TP
.B \-e,  \-\-edit
.
invoke editor on commit messages
.TP
.BI \-t,  \-\-tool \ <TOOL>
.
specify merge tool
.TP
.BI \-I,  \-\-include \ <PATTERN[+]>
.
include names matching the given patterns
.TP
.BI \-X,  \-\-exclude \ <PATTERN[+]>
.
exclude names matching the given patterns
.TP
.BI \-m,  \-\-message \ <TEXT>
.
use text as commit message
.TP
.BI \-l,  \-\-logfile \ <FILE>
.
read commit message from file
.TP
.BI \-d,  \-\-date \ <DATE>
.
record the specified date as commit date
.TP
.BI \-u,  \-\-user \ <USER>
.
record the specified user as committer
.UNINDENT
.sp
[+] marked option can be specified multiple times
.\" Generated by docutils manpage writer.
.\" 
.
